package com.zjrs.ggfw.rlzysc.bpo;

import org.mohrss.leaf.core.framework.domain.bpo.IBPO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import org.mohrss.leaf.core.framework.web.controller.AjaxResponse;
import com.zjrs.ggfw.rlzysc.dto.*;
import com.zjrs.ggfw.rlzysc.dto.common.PageDTO;
import com.zjrs.ggfw.rlzysc.dto.dwzp.*;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.*;
import com.zjrs.ggfw.rlzysc.po.RsRlzyQyxxPO;
import com.zjrs.ggfw.rlzysc.po.RsRlzyRcssqPO;

import java.util.Map;

public interface DwzpBPO extends IBPO {
	
	//职位发布*获取职业信息列表
	public AjaxResponse getZwxxList(DwzpZwListQueryDTO dto);
	
	//职位发布*查询职业信息
	public AjaxResponse getRsRlzyZwxx(DwzpZwxxQueryDTO dto);
	
	//职位发布*保存职业信息
	public AjaxResponse saveRsRlzyZwxx(DwzpZwxxDTO dto);
	
	//职位发布*删除职业信息
	public AjaxResponse deleteRsRlzyZwxx(DwzpZwxxQueryDTO dto);
	
	//职位发布*发布、取消发布职业信息
	public AjaxResponse updateRsRlzyZwxxFbzt(DwzpZwxxQueryDTO dto,String fbzt);
	
	//职位发布*提交内网审核职业信息
	public AjaxResponse submitRsRlzyZwxx(DwzpZwxxQueryDTO dto);
	
	//简历管理*获取简历信息列表
	public AjaxResponse getJlxxList(DwzpJlListQueryDTO dto);
	
	//简历管理*删除简历信息
	public AjaxResponse deleteRsRlzyJlgl(DwzpJlglUpdateDTO dto);
		
	//简历管理*更新简历状态
	public AjaxResponse updateRsRlzyJlglZt(DwzpJlglUpdateDTO dto,String zt);
	
	//简历管理*邀请面试
	public AjaxResponse saveMsyqrz(DwzpMsyqrzDTO dto);
	
	//收藏关注*删除收藏
	public AjaxResponse deleteRsRlzyScgz(DwzpScgzUpdateDTO dto);
	
	//收藏关注*更新收藏状态
	public AjaxResponse updateRsRlzyScgzZt(DwzpScgzUpdateDTO dto,String sczt);
	
	//收藏关注*收藏
	public AjaxResponse saveRsRlzyScgz(DwzpScgzDTO dto);
	
	//收藏关注*获取收藏列表
	public AjaxResponse getScJlxxList(DwzpJlListQueryDTO dto);
	
	//收藏关注*获取关注列表
	public AjaxResponse getGzJlxxList(DwzpJlListQueryDTO dto);
	
	//关注*更新关注列表不再显示
	public AjaxResponse updateRsRlzyGzgsXszt(DwzpGsgzQueryDTO dto);

	//企业信息*最新招聘会列表
	public PageResult getZxzphList(ZphglQueryDTO dto);

	//企业信息*推荐简历信息列表
	public PageResult getTjjlList(PageDTO dto);


	public Map getQyxx(QyxxDTO dto);
	public Map getSyQyxx(ZjQueryDTO dto);
	public RsRlzyQyxxPO saveQyxx(QyxxUDTO dto);
	public void uploadQyTx(DwTxSpQueryDTO dto);
	public String queryQyTx(QyTxDTO dto);
	public void uploadQySp(DwTxSpQueryDTO dto);
	public String queryQySp();
	public RsRlzyQyxxPO toQyxxTjsh(QyxxUDTO dto);
	public void toQytxTjsh(DwTxSpQueryDTO dto);
	public void toQyspTjsh(DwTxSpQueryDTO dto);
	public PageResult getZphYdList(ZphYdQueryDTO dto);
	public void ydZph(ZwYdDTO dto);
	public void qxZphYd(ZjDTO dto);
	public PageResult getRcssqList(PageDTO dto);
	public RsRlzyRcssqPO saveRcssq(RcssqUDTO dto);
	public void deleteRcssq(String id);
	public void updateZnts(ZjUDTO dto);
	public PageResult getRcxxList(RcxxcxQueryDTO dto);
	public Map getZwXx(ZjDTO dto);
	public PageResult getzyxxList(PageDTO dto);
	public PageResult  getWlzphzyxxList(PageDTO dto);
	public void toYdSh(ZjDTO dto);
	public Map getQytjxx();
	public RsRlzyRcssqPO getRcssqXx(ZjDTO dto);
	public PageResult getJlzntjList(PageDTO dto);
	public PageResult getJlrgtjList(PageDTO dto);
     public RsRlzyQyxxPO getQyxxDetail(String id);//企业信息详情

	public PageResult getZwzpfs(ZwzpfsDTO dto);//现场/网络招聘

    public PageResult getDwTjjlList(PageDTO dto);

	public void bmZph(ZphBmDTO dto);

	void setZphLog(SetZphLogDTO dto);

	void copyZw(CopyZwDTO dto);


	public PageResult getWlzphZw(ZwzpfsDTO dto);
}
